%define __python /usr/bin/python2.7
%global pyver 27
%global pybindir /usr/lib/python2.7/bin
#global pyver %{nil}

%global pypi_name stsci.sphinxext

Name:           python%{pyver}-%{pypi_name}
Version:        1.2.1
Release:        1%{?dist}
Summary:        A set of tools and templates to customize Sphinx for use in STScI projects

License:        BSD
URL:            https://pypi.python.org/pypi/stsci.sphinxext/
Source0:        https://pypi.python.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python%{pyver}-devel python%{pyver}-sphinx python%{pyver}-numpydoc python%{pyver}-stsci.distutils
Requires:	python%{pyver}-devel python%{pyver}-sphinx python%{pyver}-numpydoc python%{pyver}-stsci.distutils

%description
This project contains extensions to Sphinx to build documentation from STScI.

%prep
%setup -qn %{pypi_name}-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}

%files
%doc LICENSE_enumitem README
%dir %{python_sitelib}/stsci
%{python_sitelib}/stsci/sphinxext
%{python_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%{python_sitelib}/%{pypi_name}-%{version}-py?.?-nspkg.pth

%changelog
* Fri Nov 07 2014 Josko Plazonic <plazonic@princeton.edu> - 0.3.7
- initial build
